Bug 461292 - Add Dispatcher::wait() and corresponding SubscriptionManger::wait()
Add Dispatcher::wait() and corresponding SubscriptionManger::wait()
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
high Severity medium
: 1.1
: ---
Assigned To: Gordon Sim
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-05 12:53 EDT by Gordon Sim
Modified: 2011-08-12 12:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 10:36:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test program (1.65 KB, text/x-c++src)
2008-11-06 05:45 EST, Gordon Sim
no flags Details

  None (edit)
Description Gordon Sim 2008-09-05 12:53:33 EDT
To allow proper shutting down of threads.
Comment 1 Frantisek Reznicek 2008-10-31 12:14:56 EDT
No test info. Putting NEEDINFO flag.
Comment 2 Gordon Sim 2008-11-06 05:45:24 EST
Created attachment 322694 [details]
test program

This involves the addition of a wait() method to the public interface of SubscriptionManager (and Dispatcher, though that tends not to be used by applications directly).

ClientSessionTest.cpp: testRelease() uses the new methods and is run as part of the unit tests.

Attached is a standalone test that can be compiled and run against an installation. It uses start() and the new wait() method; if it completes normally (prints Performed 10 iterations) the method works.
Comment 3 Gordon Sim 2008-11-06 05:48:59 EST
Fixed by r711838.
Comment 5 Frantisek Reznicek 2008-12-12 09:16:30 EST
Manually validated on RHEL 5.2 / 4.7, i386 / x86_64 on packages
qpidd-0.4.725652-2.el5 using comment #2 example code.

->VERIFIED
Comment 7 errata-xmlrpc 2009-02-04 10:36:18 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0035.html

Note You need to log in before you can comment on or make changes to this bug.